<template>
    <div class="container product">
        <LoadingOverlay v-if="loading" />
        <div v-if="product" class="row">
            <div class="col-md-auto">
                <div class="card product__image-card">
                    <img
                        v-lazy="product.image"
                        class="card-img-top product__image"
                        :alt="product.name"
                    />
                </div>
            </div>
            <div class="col col-lg-6">
                <div class="product__name-container">
                    <h2>{{ product.name }}</h2>
                </div>
                <div class="product__description-container">
                    <p>
                        {{ product.description }}
                    </p>
                </div>
                <h3 class="pt-4">Price: S/ {{ product.price }}</h3>
                <div class="d-grid gap-2 product__form">
                    <select v-model="amount" class="form-select" name="amount">
                        <option
                            v-for="item in getNumbers(product.stock)"
                            :key="item"
                            :value="item"
                        >
                            {{ item }}
                        </option>
                    </select>
                    <button
                        type="button"
                        class="btn btn-primary btn-lg"
                        @click="handleOnAddCart"
                    >
                        <em class="bi bi-cart-plus" /> Add to cart
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import useGetProduct from '../../composables/use-get-product';
import {LoadingOverlay} from '@/components';
export default {
    components: {LoadingOverlay},
    setup() {
        return {
            ...useGetProduct(),
        };
    },
};
</script>
<style lang="scss">
@import './product.scss';
</style>
